import 'package:flutter/material.dart';
import 'package:textreader/Utils/Constants/ColorConstants.dart';
import 'package:textreader/Utils/Constants/IconConstants.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
class AppHeader extends StatelessWidget {
  String bodyText;
  bool backButton;
  Function() onPressed;

  AppHeader({this.bodyText, this.backButton = false,this.onPressed});

  @override
  Widget build(BuildContext context) {
    return Container(
      height: 50,
      width: double.infinity,
      color: ColorConstants.appHeaderColor,
      child: Row(
        children: [
          backButton
              ? IconButton(
                  onPressed: onPressed??() => Navigator.of(context).pop(),
                  icon: Icon(
                    AppIcons.arrowBack,
                    size: 25,
                    color: ColorConstants.white,
                  ))
              : Container(),
          Expanded(
            child: Center(
              child: Text(
                bodyText ?? "",
                overflow: TextOverflow.ellipsis,
                maxLines: 1,
                style: TextStyle(
                    color: ColorConstants.white,
                    fontSize: 16,
                    fontWeight: FontWeight.w500),
              ),
            ),
          ),
          backButton
              ? Container(
          height: 25,
          width: 50.w,
          )
              : Container(),
        ],
      ),
    );
  }
}
