import 'package:textreader/Utils/Constants/ColorConstants.dart';
import 'package:flutter/material.dart';

class FilledButton extends StatelessWidget {
  final String title;
  final Gradient buttonGradients;
  final double width;
  final double height;
  final double btnRadius;
  final Color textColor;
  final Color btnColor,borderColor;
  final VoidCallback onPressed;

  FilledButton(
      {this.title,
      this.onPressed,
      this.width,
      this.height,
      this.textColor,
      this.btnColor,
      this.borderColor,
      this.btnRadius,
      this.buttonGradients});

  @override
  Widget build(BuildContext context) {
    return ElevatedButton(
      style: ElevatedButton.styleFrom(
        primary: btnColor ?? ColorConstants.appButtonColor,
        side: BorderSide(
          color: borderColor??ColorConstants.transparent
        ),
        elevation: 0,
        shape: RoundedRectangleBorder(
            borderRadius: BorderRadius.circular(btnRadius ?? 8)),
        minimumSize: Size(width, height),
      ),
      onPressed: onPressed ?? () {},
      child: Text(
        title ?? "",
        maxLines: 1,
        overflow: TextOverflow.ellipsis,
        style: TextStyle(
            color: textColor ?? ColorConstants.white,
            fontSize: 16,
            fontWeight: FontWeight.w500),
      ),
    );
  }
}
