import 'package:textreader/Utils/Constants/ColorConstants.dart';
import 'package:flutter/material.dart';

class CustomOutlineButton extends StatelessWidget {
  final String title;
  final VoidCallback onPressed;
  final double width;
  final Color borderColor;
  final double height;
  final double fontSize;

  CustomOutlineButton({this.title, this.onPressed,this.width,this.height,this.fontSize,this.borderColor});

  @override
  Widget build(BuildContext context) {
    return Container(
      width: width,
      height: height,
      alignment: Alignment.center,
      child: ButtonTheme(
        height: height,
        minWidth: width,
        child: OutlineButton(
          shape: RoundedRectangleBorder(borderRadius: new BorderRadius.circular(22)),
          textColor: ColorConstants.white,
          child: Text(title ?? "",
            textAlign: TextAlign.center,
            style: TextStyle(fontSize: fontSize),
          ),
          borderSide: BorderSide(
              color: borderColor??ColorConstants.red, style: BorderStyle.solid,
              width: 1),
          onPressed: onPressed ?? () {},
        ),
      ),
    );
  }
}