import 'package:textreader/Utils/Constants/ColorConstants.dart';
import 'package:flutter/material.dart';

class CustomTextArea extends StatelessWidget {
  final String hintText;
  final bool isButtonEnable;
  final TextInputType inputType;
  final TextEditingController controller;
  final FocusNode node;
  final Function validator, onFieldSubmit, onChange;
  final TextInputAction inputAction;
  final bool readOnly;
  final Widget suffixWidget, prefixWidget;
  final Function() onTap;
  final VoidCallback onPressedLeadingIcon;
  final String labelText;
  final double padding;
  final double borderRadius;
  final int maxLines;
  final double height;
  final double width;
  final String initialValue;
  final Color cursorColor,textAreaColor;

  CustomTextArea(
      {this.validator,
        this.initialValue,
        this.cursorColor,
        this.textAreaColor,
        this.height,
        this.borderRadius,
        this.width,
        this.inputAction,
        this.isButtonEnable = false,
        this.onFieldSubmit,
        this.prefixWidget,
        this.hintText,
        this.inputType,
        this.controller,
        this.node,
        this.onChange,
        this.onTap,
        this.suffixWidget,
        this.readOnly = false,
        this.onPressedLeadingIcon,
        this.labelText,
        this.maxLines = 10,
        this.padding = 0.0});
  @override
  Widget build(BuildContext context) {
    Size size = MediaQuery
        .of(context)
        .size;
    return  Container(
      width: width ??size.width*0.9,
      height: height ?? 180,
      decoration: BoxDecoration(
          color:textAreaColor?? ColorConstants.black.withOpacity(0.6),
        borderRadius: BorderRadius.all(Radius.circular(borderRadius??2))
      ),
      child: TextFormField(
        controller: controller,
        style: TextStyle(color: ColorConstants.black),
        decoration: InputDecoration(
          hintText: hintText,
          hintStyle: TextStyle(color: ColorConstants.white.withOpacity(0.6)),
          fillColor: ColorConstants.white,
          border: OutlineInputBorder(
              borderRadius: BorderRadius.all(Radius.circular(borderRadius??2)),
            borderSide: BorderSide(color: ColorConstants.transparent),
          ),
          enabledBorder: OutlineInputBorder(
            borderRadius: BorderRadius.all(Radius.circular(borderRadius??2)),
            borderSide: BorderSide(color: ColorConstants.transparent),
          ),
          focusedBorder: OutlineInputBorder(
            borderRadius: BorderRadius.all(Radius.circular(borderRadius??2)),
            borderSide: BorderSide(color: ColorConstants.blue),
          ),
          errorBorder: OutlineInputBorder(
            borderRadius: BorderRadius.all(Radius.circular(borderRadius??2)),
            borderSide: BorderSide(color: Colors.white),
          ),
          focusedErrorBorder: OutlineInputBorder(
            borderRadius: BorderRadius.all(Radius.circular(borderRadius??2)),
            borderSide: BorderSide(color: Colors.white),
          ),
        ),
        minLines: 8, // any number you need (It works as the rows for the textarea)
        keyboardType: TextInputType.multiline,
        maxLines: maxLines,
      ),
    );
  }
}
