import 'dart:convert';
import 'dart:io';

import 'package:file_picker/file_picker.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart' show rootBundle;
import 'package:path_provider/path_provider.dart';
import 'package:pdf_text/pdf_text.dart';
import 'package:provider/provider.dart';
import 'package:textreader/Components/showToast/showToast.dart';
import 'package:textreader/Provider/SelectFileDetailProvider/SelectFileDetailProvider.dart';
import 'package:textreader/Utils/Constants/RouteConstants.dart';

class SelectPdfToText {
  static selectPdfToText(BuildContext context) async {
    var selectFileDetailProvider =
        Provider.of<SelectFileDetailProvider>(context, listen: false);
     selectFileDetailProvider.setLoading = true;
    selectFileDetailProvider.scanText = '';
    PDFDoc textData;
    var result = await FilePicker.platform.pickFiles(
      type: FileType.custom,
      allowedExtensions: ['pdf', 'docx', 'txt'],
    );

    if (result != null) {
      String fileType = result.files.first.path.split(".").last;
      selectFileDetailProvider.setFileName = result.files.first.name;
      if (fileType == "pdf") {
        textData = await PDFDoc.fromPath(result.files.single.path);
        String text = await textData.text;
        selectFileDetailProvider.scanText = text;
      } else if (fileType == "txt") {
        final _myFile = File(result.files.first.path);
        final txtData = await _myFile.readAsString(encoding: utf8);
        String text = txtData.toString();
        print(text);
        selectFileDetailProvider.scanText = text;
      } else if (fileType == "docx" || fileType == "doc") {
        // final _myFile = File(result.files.first.path);
        // final docData = await _myFile.readAsString(encoding: utf8);
        // String text = docData.toString();
        // print(text);
        selectFileDetailProvider.scanText = "";
      } else {
        print("Error");
      }
      selectFileDetailProvider.setLoading = false;
      if (selectFileDetailProvider.scanText.isNotEmpty) {
        Navigator.of(context).pushNamed(RouteConstants.textDetailandSpeechUI);
      } else {
        showToast("File isn't Select");
      }

      // String data = await rootBundle.loadString(result.files.first.path);
      // print(data+"txt file data");
    } else {
      selectFileDetailProvider.setLoading = false;
      print("error");
      // User canceled the picker
    }
  }
}
